
# Activate spring profiles
spring.profiles.active=@activatedProperties@

# Multilang config
spring.messages.encoding=UTF-8

# Templates config
spring.thymeleaf.mode=HTML
spring.thymeleaf.encoding=UTF-8

# JPA config
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.PostgreSQLDialect
spring.jpa.properties.hibernate.jdbc.lob.non_contextual_creation=true
spring.jpa.hibernate.ddl-auto=none
#spring.jpa.properties.hibernate.show_sql=true


# Logs config
logging.logback.rollingpolicy.max-file-size=10MB
logging.level.root=INFO

# Max request and file size
spring.servlet.multipart.max-file-size=128MB
spring.servlet.multipart.max-request-size=128MB

# Datasource config
spring.datasource.driver-class-name=org.postgresql.Driver
spring.datasource.username=postgres
spring.sql.init.platform=postgres

#spring.jpa.show-sql=true 

# Email config
spring.main.banner-mode=off
spring.mail.protocol=smtp
spring.mail.host=post.uv.es
spring.mail.port=25
spring.mail.properties.mail.smtp.auth = false
spring.mail.properties.mail.smtp.starttls.enable = false

# Server
server.port=8080
server.forward-headers-strategy=native
server.tomcat.remoteip.remote-ip-header=X-Forwarded-For
server.tomcat.remoteip.protocol-header=X-Forwarded-Proto
server.tomcat.remoteip.port-header=X-Forwarded-Port
server.tomcat.use-relative-redirects=true
server.tomcat.remoteip.internal-proxies=.*

# UQ server connection parameters(Eventualmente será eliminado)
saic.uqserver.host = uqserver.uv.es
saic.uqserver.dbname.grau = MDB_grau
saic.uqserver.dbname.master = MDB_master
saic.uqserver.dbname.doct = MDB_doctorado
saic.uqserver.dbname.prof = MDB_evalProf
saic.uqserver.user = graucer
saic.uqserver.passwd = C3team4mdb

saic.uqserver2.host = dbmaster.uv.es
saic.uqserver2.dbname.master = MDB_master
saic.uqserver2.dbname.prof = MDB_evalProf
saic.uqserver2.dbname.otros = MDB_otros
saic.uqserver2.dbname.doct = MDB_doctorado
saic.uqserver2.user = saic
saic.uqserver2.passwd = S41cdb01.

